SplDoublyLinkedList::shift
SplDoublyLinkedList::unserialize
SplDoublyLinkedList
PHP Manual

# SplDoublyLinkedList::top

Peeks at the node from the end of the doubly linked list

### Description

public mixed SplDoublyLinkedList::top ( void )

### Parameters

This function has no parameters.

### Return Values

The value of the last node.

### Errors/Exceptions

Throws RuntimeException when the data-structure is empty.